Set global fallback chain
curl --request PATCH \
--url https://api.lava.so/v1/account/fallback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fallback_chain": [
{
"url": "api.openai.com/v1/chat/completions",
"model": "gpt-4o-mini"
}
]
}
'import requests
url = "https://api.lava.so/v1/account/fallback"
payload = { "fallback_chain": [
{
"url": "api.openai.com/v1/chat/completions",
"model": "gpt-4o-mini"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fallback_chain: [{url: 'api.openai.com/v1/chat/completions', model: 'gpt-4o-mini'}]
})
};
fetch('https://api.lava.so/v1/account/fallback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": {
"message": "Invalid authentication credentials",
"code": "forward_token_json_invalid",
"status": 400,
"issues": [
{
"path": [
"model"
],
"message": "Missing required field: model"
},
{
"path": [
"messages",
"0",
"content"
],
"message": "Invalid message content format"
}
]
}
}{
"error": {
"message": "Invalid authentication credentials",
"code": "forward_token_json_invalid",
"status": 400,
"issues": [
{
"path": [
"model"
],
"message": "Missing required field: model"
},
{
"path": [
"messages",
"0",
"content"
],
"message": "Invalid message content format"
}
]
}
}Gateway Settings
Set global fallback chain
Set or clear the account-level fallback chain. When set, this chain is used as the default fallback for all rewrite requests that do not include an x-lava-fallbacks header. Pass null to clear the setting. Maximum 5 entries.
PATCH
/
account
/
fallback
Set global fallback chain
Authorizations
Bearer token authentication used for standard API calls. Format: 'Bearer YOUR_API_KEY'
Body
application/json
Fallback chain entries, or null to clear
Show child attributes
Show child attributes
Response
Fallback chain updated
Example:
true
⌘I